### Property

# WebKit Settings:enable-javascript-markup

#### Declaration

    property enable-javascript-markup: gboolean [ read, write, construct ]

#### Description [src]

Determines whether or not JavaScript markup is allowed in document. When this setting is disabled, all JavaScript-related elements and attributes are removed from the document during parsing. Note that executing JavaScript is still allowed if `WebKitSettings:enable-javascript` is `TRUE`.

Type: | `gboolean`
Available since: | 2.24

Setter method | `webkit_settings_set_enable_javascript_markup()`
Getter method | `webkit_settings_get_enable_javascript_markup()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no